summaryrefslogtreecommitdiffstats
path: root/bin/update-mirrorlist-pkg
diff options
context:
space:
mode:
Diffstat (limited to 'bin/update-mirrorlist-pkg')
-rwxr-xr-xbin/update-mirrorlist-pkg16
1 files changed, 16 insertions, 0 deletions
diff --git a/bin/update-mirrorlist-pkg b/bin/update-mirrorlist-pkg
new file mode 100755
index 0000000..9fbeeb3
--- /dev/null
+++ b/bin/update-mirrorlist-pkg
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+set -e
+
+cd ~/arch/extra/pacman-mirrorlist/
+svn up
+cd trunk
+
+upgpkg a
+svn diff mirrorlist | pygmentize
+printf "confirm update (enter)"
+read
+ch build 64
+
+corepkg "upstream update"
+ssh repos.archlinux.org /packages/db-update